Package ru.bitel.bgbilling.modules.bill.common.service

# Interface BillAccountReportService

public interface BillAccountReportService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getContractTitles(Set<Integer> contractIds)`
  `byte[]`
  `getDocument(Period period, List<Integer> contractIds, int organizationId, String contractTitle)`
  `byte[]`
  `getPdfDocument(Period period, List<Integer> contractIds, int organizationId, String contractTitle)`
  `String`
  `getXmlDocument(Period period, List<Integer> contractIds, int organizationId, String contractTitle)`
  `SearchResult<AccountContractReport>`
  `searchAccountContractReport(Period period, List<Integer> contractIds)`
  `SearchResult<AccountReport>`
  `searchAccountReport(Period period, List<Integer> contractIds)`
  `void`
  `sendDocumentToEmail(Period period, List<Integer> contractIds, int organizationId, String contractTitle, String email)`

- ## Method Details

  - ### searchAccountReport

    SearchResult<AccountReport> searchAccountReport(Period period, List<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAccountContractReport

    SearchResult<AccountContractReport> searchAccountContractReport(Period period, List<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDocument

    byte[] getDocument(Period period, List<Integer> contractIds, int organizationId, String contractTitle) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getXmlDocument

    String getXmlDocument(Period period, List<Integer> contractIds, int organizationId, String contractTitle) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPdfDocument

    byte[] getPdfDocument(Period period, List<Integer> contractIds, int organizationId, String contractTitle) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sendDocumentToEmail

    void sendDocumentToEmail(Period period, List<Integer> contractIds, int organizationId, String contractTitle, String email) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractTitles

    List<String> getContractTitles(Set<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`